openSUSE Security Update : apache2-mod_php5 (openSUSE-SU-2011:0645-1)

This script is Copyright (C) 2014-2016 Tenable Network Security, Inc.


Synopsis :

The remote openSUSE host is missing a security update.

Description :

This php5 update fixes :

- CVE-2011-0421: CVSS v2 Base Score: 2.6
(AV:N/AC:H/Au:N/C:N/I:N/A:P): Input Validation (CWE-20)

- CVE-2011-1092: CVSS v2 Base Score: 5.1
(AV:N/AC:H/Au:N/C:P/I:P/A:P): Numeric Errors (CWE-189)

- CVE-2011-1148: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Resource Management Errors
(CWE-399)

- CVE-2011-1464: CVSS v2 Base Score: 2.1
(AV:L/AC:L/Au:N/C:N/I:N/A:P): Buffer Errors (CWE-119)

- CVE-2011-1467: CVSS v2 Base Score: 5.0
(AV:N/AC:L/Au:N/C:N/I:N/A:P)

- CVE-2011-1468: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Resource Management Errors
(CWE-399)

- CVE-2011-1469: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P)

- CVE-2011-1470: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Input Validation (CWE-20)

- CVE-2011-1471: CVSS v2 Base Score: 4.3
(AV:N/AC:M/Au:N/C:N/I:N/A:P): Numeric Errors (CWE-189)

- CVE-2011-1938: CVSS v2 Base Score: 2.6
(AV:N/AC:H/Au:N/C:N/I:N/A:P)

See also :

http://lists.opensuse.org/opensuse-updates/2011-06/msg00032.html
https://bugzilla.novell.com/show_bug.cgi?id=677782
https://bugzilla.novell.com/show_bug.cgi?id=679278
https://bugzilla.novell.com/show_bug.cgi?id=681194
https://bugzilla.novell.com/show_bug.cgi?id=681195
https://bugzilla.novell.com/show_bug.cgi?id=681197
https://bugzilla.novell.com/show_bug.cgi?id=681210
https://bugzilla.novell.com/show_bug.cgi?id=681214
https://bugzilla.novell.com/show_bug.cgi?id=681291
https://bugzilla.novell.com/show_bug.cgi?id=695689

Solution :

Update the affected apache2-mod_php5 packages.

Risk factor :

High / CVSS Base Score : 7.5
(CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P)

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now